## org.apache.hadoop.mapreduce.lib.input
Class SequenceFileAsTextInputFormat

    java.lang.Object
      org.apache.hadoop.mapreduce.InputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.input.FileInputFormat<K,V>
              org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFormat<Text,Text>
                  org.apache.hadoop.mapreduce.lib.input.SequenceFileAsTextInputFormat

    @InterfaceAudience.Public
    @InterfaceStability.Stable
    public class SequenceFileAsTextInputFormat

extends SequenceFileInputFormat<Text,Text>

This class is similar to SequenceFileInputFormat, except it generates SequenceFileAsTextRecordReader which converts the input keys and values to their String forms by calling toString() method.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat
`FileInputFormat.Counter`

Constructor Summary
`SequenceFileAsTextInputFormat()`

Method Summary
`RecordReader<Text,Text>` `createRecordReader(InputSplit split, TaskAttemptContext context)` Create a record reader for a given split.

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFormat
`getFormatMinSplitSize, listStatus`

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, getSplits, isSplitable, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFileAsTextInputFormat

    public SequenceFileAsTextInputFormat()

Method Detail

### createRecordReader

    public RecordReader<Text,Text> createRecordReader(InputSplit split,
                                                      TaskAttemptContext context)
                                               throws IOException

  Description copied from class: `InputFormat`
  Create a record reader for a given split. The framework will call `RecordReader.initialize(InputSplit, TaskAttemptContext)` before the split is used.

  Overrides:
    `createRecordReader` in class `SequenceFileInputFormat<Text,Text>`
  Parameters:
    `split` - the split to be read
    `context` - the information about the task
  Returns:
    a new record reader
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation